<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/extrafields/class/view/pluginextrafieldsconfigview.class.php" );

	/**
	 * shows a form with the current configuration
	 */
	class PluginExtraFieldsConfigAction extends AdminAction
	{
		
		function PluginExtraFieldsConfigAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
			
			$this->requirePermission( "manage_plugins" );
		}
		
		function perform()
		{
            $this->_view = new PluginExtraFieldsConfigView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
		}
	}
?>